import { createApp } from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import ElementPlus from "element-plus";
import "element-plus/dist/index.css";
import "default-passive-events";
import * as ElementPlusIconsVue from "@element-plus/icons-vue";
//base css样式
import "./assets/css/global.css";
//自适应
import "amfe-flexible/index";
//粒子特效
import VueParticles from "vue-particles";
import Drag from "./utils/drag";

const app = createApp(App);
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component);
}
app
  .use(ElementPlus)
  .use(store)
  .use(router)
  .use(VueParticles)
  .use(Drag)
  .mount("#app");
